*** a/src/backend/commands/cluster.c
--- b/src/backend/commands/cluster.c
***************
*** 803,809 **** copy_heap_data(Oid OIDNewHeap, Oid OIDOldHeap, Oid OIDOldIndex, bool verbose,
  		LockRelationOid(OldHeap->rd_rel->reltoastrelid, AccessExclusiveLock);
  
  	/*
! 	 * We need to log the copied data in WAL iff WAL archiving/streaming is
  	 * enabled AND it's a WAL-logged rel.
  	 */
  	use_wal = XLogIsNeeded() && RelationNeedsWAL(NewHeap);
--- 803,809 ----
  		LockRelationOid(OldHeap->rd_rel->reltoastrelid, AccessExclusiveLock);
  
  	/*
! 	 * We need to log the copied data in WAL if WAL archiving/streaming is
  	 * enabled AND it's a WAL-logged rel.
  	 */
  	use_wal = XLogIsNeeded() && RelationNeedsWAL(NewHeap);
